#include <iostream>
#include <string>

using namespace std;

int main()
{
    string a, b;
    string r;
    cin>>a;
    cin>>b;

    for (int i = 0; i <= max (a.size(), b.size()); i++)
    {
        char k = a[i]; int asciia = (int) k;
        char m = b[i]; int asciib = (int) m;
        if (k > m)
        {
            r = a[i];
        }
        else if (m > k)
        {
            r = b[i];
        }
        else if (k == m)
        {
            r = a[i] + a[i] * 10;
        }
cout<<r;
    }

}